Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 210050 - dev-util/boost-build-1.34.1 fails to compile with new LIBS pre-flag
Summary: dev-util/boost-build-1.34.1 fails to compile with new LIBS pre-flag
Status: RESOLVED DUPLICATE of bug 210029
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-13 21:21 UTC by Mark Fisher
Modified: 2008-02-13 21:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
full error message from ebuild (boost-build.err,4.38 KB, text/plain)
2008-02-13 21:23 UTC, Mark Fisher
Details
a patch to stop emerge failing (boost-build.patch,788 bytes, patch)
2008-02-13 21:25 UTC, Mark Fisher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Fisher 2008-02-13 21:21:45 UTC
emerging with 1.34.1 gives:

...
./bootstrap/jam0 -f build.jam --toolset=cc --toolset-root= --with-python
...found 45 targets...
...updating 2 targets...
[MKDIR] bin.linux
[COMPILE] bin.linux/bjam
x86_64-pc-linux-gnu-gcc: : No such file or directory

i debugged the ebuild, and on my system the LDFLAGS is empty, and removing LIBS= part fixes the issue, so I created a small patch:

--- boost-build-1.34.1-r1.ebuild        2008-02-13 20:47:45.000000000 +0000
+++ /usr/portage/dev-util/boost-build/boost-build-1.34.1.ebuild 2008-02-13 14:06:01.000000000 +0000
@@ -60,11 +60,7 @@
        #    and link targets to make it use the LDFLAGS var, or
        # b) a simple dirty workaround by injecting the LDFLAGS in the LIBS env var
        #    (which should not be set by us).
-       if [[ "${LDFLAGS}" != "" ]] ; then
-               LIBS="${LDFLAGS}" CC=$(tc-getCC) ./build.sh ${toolset} $(use_with python) || die "building bjam failed"
-       else
-               CC=$(tc-getCC) ./build.sh ${toolset} $(use_with python) || die "building bjam failed"
-       fi
+       LIBS="${LDFLAGS}" CC=$(tc-getCC) ./build.sh ${toolset} $(use_with python) || die "building bjam failed"
 }

 src_install() {
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2008-02-13 21:22:29 UTC

*** This bug has been marked as a duplicate of bug 210029 ***
Comment 2 Mark Fisher 2008-02-13 21:23:11 UTC
Created attachment 143447 [details]
full error message from ebuild
Comment 3 Mark Fisher 2008-02-13 21:25:03 UTC
Created attachment 143448 [details, diff]
a patch to stop emerge failing